Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaValue

All Superinterfaces:
  IAdaptable, IDebugElement, IValue

All Known Subinterfaces:
  IJavaArray, IJavaClassObject, IJavaObject, IJavaPrimitiveValue

public interface IJavaValue
extends IValue

An object, primitive data type, or array, on a Java virtual machine.

Clients are not intended to implement this interface.

See Also:
  `IValue`

Method Summary
`IJavaType` | `getJavaType()` Returns the type of this value, or `null` if this value represents the `null` value
`String` | `getSignature()` Returns the JNI-style signature for the type of this value, or `null` if the value is `null`.

Methods inherited from interface org.eclipse.debug.core.model.IValue
`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getSignature

    public String getSignature()
                        throws DebugException

  Returns the JNI-style signature for the type of this value, or `null` if the value is `null`.

  Returns:
    signature, or `null` if signature is `null`
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
    - The type associated with the signature is not yet loaded

### getJavaType

    public IJavaType getJavaType()
                          throws DebugException

  Returns the type of this value, or `null` if this value represents the `null` value

  Returns:
    the type of this value, or `null` if this value represents the `null` value
  Throws:
    `DebugException`
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.